Summary: Utilities for configuring an ISDN subsystem.
Name: isdn4k-utils
Version: 3.1
Release: 39.1ppc
Copyright: GPL
Group: Applications/System
Source0: ftp://ftp.isdn4linux.de/pub/isdn4linux/utils/isdn4k-utils-07022001.tar.bz2
Source1: http://www.compound.se/download/ibod-1.4-src.tar.gz
Patch0: isdn4k-utils-redhat.patch
Patch1: isdn4k-utils-broken.patch
Patch2: ibod-config.patch
Patch3: isdn4k-utils-man.patch
BuildRoot: %{_tmppath}/%name-root
Requires: initscripts >= 5.20
BuildPrereq: /usr/bin/sgml2txt, /usr/bin/sgml2html
Prereq: /sbin/chkconfig, /sbin/ldconfig, /bin/ln
Provides: rh-dialup-conf

%description
The isdn4k-utils package contains a collection of utilities needed for
configuring an ISDN subsystem.

%package -n xisdnload
Version: 1.38
Summary: An ISDN connection load average display for the X Window System.
Group: Applications/System
Requires: isdn4k-utils

%description -n xisdnload
The xisdnload utility displays a periodically updated histogram of the
load average over your ISDN connection.

%prep
%setup -q -n isdn4k-utils
%patch0 -p1 -b .redhat
%patch1 -p1 -b .broken
%patch3 -p1 -b .man
mkdir -p ibod && cd ibod && tar zxf %{SOURCE1}
%patch2 -p1 -b .ibod

%build
export PATH=$PATH:/usr/X11R6/bin

mv .config.rpm  .config

%ifnarch sparc
echo CONFIG_GENMAN=y >>.config 
echo CONFIG_FAQ=y >>.config 
echo "CONFIG_FAQDIR='/usr/share/doc/isdn4k-utils'" >>.config 
%endif

# we need it on ia64 machine
( cd capi20; [ -f configure.in ] && libtoolize --copy --force )
( cd vbox; aclocal && autoconf )

make subconfig
make

# build ibod
cd ibod && gcc $RPM_OPT_FLAGS ibod.c -o ibod

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/dev
mkdir -p $RPM_BUILD_ROOT/etc/{rc.d/init.d,ppp,isdn}
mkdir -p $RPM_BUILD_ROOT/var/{log/vbox,spool/vbox,lock/isdn}
mkdir -p $RPM_BUILD_ROOT%{_prefix}/{sbin,X11R6/bin,bin}

chmod 1777 $RPM_BUILD_ROOT/var/spool/vbox
make install DESTDIR=$RPM_BUILD_ROOT
install -m 644 ibod/ibod.1 $RPM_BUILD_ROOT%{_mandir}/man1/
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man4
install -m 644 ibod/ibod.cf.4 $RPM_BUILD_ROOT%{_mandir}/man4/
install -m 644 ibod/ibod.cf $RPM_BUILD_ROOT/etc/isdn/
install -m 755 ibod/ibod $RPM_BUILD_ROOT/usr/sbin/

mv -fv $RPM_BUILD_ROOT%{_bindir}/x* $RPM_BUILD_ROOT%{_prefix}/X11R6/bin/
mv -fv $RPM_BUILD_ROOT%{_mandir}/man1/x* $RPM_BUILD_ROOT%{_prefix}/X11R6/man/man1/

touch $RPM_BUILD_ROOT/etc/ppp/ioptions

if [ -f $RPM_BUILD_ROOT/etc/isdn/isdn.conf.new ] ; then
  mv -f $RPM_BUILD_ROOT/etc/isdn/isdn.conf.new $RPM_BUILD_ROOT/etc/isdn/isdn.conf
fi

# build some more documentation
%ifnarch sparc
pushd FAQ/tutorial ; {
    sgml2txt EN-i4l.sgml
    sgml2html EN-i4l.sgml
} ; popd
%endif

chmod 0755 $RPM_BUILD_ROOT%{_bindir}/vboxbeep

# copy config files for isdnlog
cp -f isdnlog/*.dat $RPM_BUILD_ROOT%{_libdir}/isdn/
chmod 644 $RPM_BUILD_ROOT%{_libdir}/isdn/*.dat

# delete it to avoid conflicts
rm -f $RPM_BUILD_ROOT/etc/isdn/stop
rm -f $RPM_BUILD_ROOT/usr/bin/cdb*
rm -f $RPM_BUILD_ROOT/usr/include/freecdb.h
rm -f $RPM_BUILD_ROOT/usr/include/freecdbmake.h
rm -f $RPM_BUILD_ROOT/usr/lib/libfreecdb.a
rm -f $RPM_BUILD_ROOT/usr/lib/libfreecdbmake.a
rm -f $RPM_BUILD_ROOT/usr/share/man/man1/cdb*
rm -rf $RPM_BUILD_ROOT/usr/share/man/man3

%post
test -f /dev/isdnctrl || ln -sf isdnctrl0 /dev/isdnctrl
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir /etc/isdn
%dir /var/spool/vbox
%dir /var/log/vbox
%verify(not md5 size mtime) %config(noreplace) /etc/isdn/*
%verify(not md5 size mtime) %config(noreplace) /etc/ppp/ioptions
%config(noreplace) /etc/ppp/peers/*
/etc/ppp/plugins/*
%{_bindir}/*
%{_includedir}/*
%{_libdir}/isdn
%{_libdir}/*.a
%{_libdir}/*.so.*
%{_mandir}/*/*
%{_sbindir}/*
%doc COPYING README isdnlog/README*
%ifnarch sparc
%doc isdnlog/FAQ
%lang(de) %doc vbox/doc/de/vbox.sgml vbox/doc/de/vbox.txt
%doc FAQ/tutorial/* FAQ/i4lfaq* Mini-FAQ/* FAQ/_howto/* FAQ/_example/*
%endif

%files -n xisdnload
%defattr(-,root,root)
%{_prefix}/X11R6/bin/xisdnload
%attr(0755,root,root) %{_prefix}/X11R6/bin/xmonisdn
%{_prefix}/X11R6/lib/X11/app-defaults/*
%{_prefix}/X11R6/man/man1/*
%{_prefix}/X11R6/include/X11/bitmaps/*
%doc xmonisdn/README

%changelog
* Thu Aug  8 2002 Guy Streeter <streeter@redhat.com>
- backported patch to fix manpage build breakage

* Mon Feb 12 2001 Than Ngo <than@redhat.com>
- clean up specfile

* Sat Feb 10 2001 Than Ngo <than@redhat.com>
- fixed for building against new glibc
- added missing files: divertctrl, eiconctrl, actctrl

* Thu Feb 08 2001 Than Ngo <than@redhat.com>
- fixed file conflicts

* Wed Feb 07 2001 Than Ngo <than@redhat.com>
- updated ipppd, isdnctrl for working with kernel-2.4
- added missing BuildPrereq

* Tue Feb 06 2001 Than Ngo <than@redhat.com>
- rebuild against to fix version mismatch in isdnlog

* Mon Nov 20 2000 Than Ngo <than@redhat.com>
- rebuilt to fix bad dir perms

* Wed Nov 01 2000 Than Ngo <than@redhat.com>
- added ibod, a ISDN MPPP bandwidth on demand daemon

* Thu Aug 3  2000 Than Ngo <than@redhat.de>
- add more documents
- and missing config files to isdnlog
- some fixes in vbox, isdnlog, vboxgetty
- mark ioptions as %config(noreplace)
- add pppdcapiplugin
- add missing /sbin/ldconfig in %post and %postun
- fix to build on ia64 

* Thu Jul 13 2000 Than Ngo <than@redhat.de>
- fix to build as nonroot

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jun 30 2000 Than Ngo <than@redhat.de>
- add documents in %doc instead make install doc

* Thu Jun 29 2000 Than Ngo <than@redhat.de>
- add some header files for isdn4k-utils
  (don't need kernel-sources anymore)
- update to v3.1pre1

* Fri Jun 16 2000 Than Ngo <than@redhat.de>
- rebuilt for 7.0
- FHS fixes
- fix dependencies problem with new tcltk
- fix to built with kernel-2.4

* Fri Apr 28 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- add /usr/lib/isdn to filelist

* Fri Mar 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- fix compilation with kernel 2.4.x
- rebuild with new ncurses and Tcl
- enable building of eurofile and divertctl stuff

* Tue Mar  7 2000 Jeff Johnson <jbj@redhat.com>
- rebuild for sparc baud rates > 38400.

* Tue Feb 29 2000 Ngo Than <than@redhat.de>
- move isdn.init in isdn4k-utils package to isdn-config package

* Mon Feb 21 2000 Ngo Than <than@redhat.de>
- added small to fix problem for startup and shuttdown isdn

* Wed Feb 16 2000 Ngo Than <than@redhat.com>
- added small patch for ipppd, it can handle default route

* Fri Feb 11 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- remove execute bit from /etc/ppp/ioptions
- do not create /dev/isdnctrl if it already exists

* Fri Feb 11 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- remove suid-root from /usr/bin/vboxbeep

* Fri Feb 11 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- use relative instead of absolute link in postinstall script
- use only one patch-file for the config file
- change from 0700 to 0755 perms
- change Makefiles instead of moving things around in the spec file
- include the manpages of the X11 progs only in the xisdnload rpm

* Tue Feb 03 2000 Ngo Than <than@redhat.de>
- fix pap and chap problem in isdn.init

* Tue Feb 01 2000 Ngo Than <than@redhat.de>
- added new isdn.init for rhisdn.

* Mon Jan 17 2000 Karsten Hopp <karsten@redhat.de>
- uses now configured network and netmask

* Thu Jan 06 2000 Karsten Hopp <karsten@redhat.de>
- Configures DNS if no nameserver entry in resolv.conf
- needed for dial-on-demand

* Mon Jan 03 2000 Karsten Hopp <karsten@redhat.de>
- isdnconfig  moved into separate spec-file

* Tue Dec 21 1999 Karsten Hopp <karsten@redhat.de>
- updated isdn4k-utils
- several bugfixes isdnconfig

* Thu Sep 30 1999 Karsten Hopp <karsten@redhat.de>
- added isdnconfig script and related files

* Fri Sep 25 1999 Bill Nottingham <notting@redhat.com>
- bang on init script

* Mon Sep 20 1999 Cristian Gafton <gafton@redhat.com>
- fix dangling symlink

* Mon Sep 13 1999 Bill Nottingham <notting@redhat.com>
- strip binaries
- chkconfig --del in %preun, not %postun

* Tue Sep 07 1999 Cristian Gafton <gafton@redhat.com>
- fix some of the german exclusive language in the init script

* Sun Aug 29 1999 Cristian Gafton <gafton@redhat.com>
- imported into Red Hat Linux
